export const version = () => "1.0.0";

/**
 * Return if the parameter is a number
 * @param val
 * @returns {*}
 */
export const isNumber = val => {
    return typeof val === "number";
};

/**
 * Return if the parameter is a string
 * @param val
 * @returns {*}
 */
export const isString = val => {
    return typeof val === "string";
};

/**
 * Return if the parameter is a char
 * @param val
 * @returns {*}
 */
export const isChar = val => {
    return typeof val === "string" && val.length === 1;
};

/**
 * Return if the parameter is an array
 * @param val
 * @returns {*}
 */
export const isArray = val => {
    return Array.isArray(val);
};